/* 
Theme Name: Theme EENOV - enfant Hello
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

:root {
    font-size: 62.5%;
    --e-global-color-primary: #FFFFFF;
    --e-global-color-secondary: #000000;
    --e-global-color-accent: #FF3300;
    --e-global-color-text: #666666;
}

html, body {
    font-size: 1.6rem;
    overflow-x: hidden;
}

h1 span, h2 span {
    font-family: 'Raleway', sans-serif;
    font-size: 6rem;
    font-weight: 800;
    display:block;
    text-align:center;
    text-transform: uppercase;
    color: var(--e-global-color-text);
}

h2 span {
    font-size: 4rem;
    letter-spacing: 2;
    color: var(--e-global-color-text);
}

a, a:hover {
    color: var(--e-global-color-primary);
}

.elementor-button-content-wrapper {
    align-items: center;
}

.elementor-button-icon svg {
    width: auto;
}

header section:not(.full).e-con,
footer section:not(.full).e-con,
#elementor-preview section:not(.full).e-con,
#content section:not(.full).e-con,
.elementor-edit-area section:not(.full).e-con,
.elementor-location-single section:not(.full).e-con {
    padding-left: 1.4rem;
    padding-right: 1.4rem;
}


/*TIMELINE PERSONNALISEE */
.timeline__gauche {
border-right: 2px solid #000;
    border-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='2' height='100'%3E%3Cpath d='M 1 0 v 100' stroke='%236BBFA3' stroke-width='2' stroke-dasharray='17,17' /%3E%3C/svg%3E") 17 round;
}

.timeline__gauche .elementor-heading-title::after {
    content:'';
    width: 2.8rem;
    height: 2.8rem;
    background: #6BBFA3;
    border-radius: 50%;
    display:block;
    position: absolute;
    top: 1.7rem;
    right: -5.4rem;
}

.timeline__droite .elementor-heading-title::before {
    content:'';
    width: 2.8rem;
    height: 2.8rem;
    background: #6BBFA3;
    border-radius: 50%;
    display:block;
    position: absolute;
    top: 1.7rem;
    left: -5.4rem;
}

@media (max-width: 767px) {
    .timeline__gauche {
        border-left: 2px solid #000;
        border-right: 0 none;
    }
    
    .timeline__droite {
        border-left: 2px solid #000;
        border-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='2' height='100'%3E%3Cpath d='M 1 0 v 100' stroke='%236BBFA3' stroke-width='2' stroke-dasharray='17,17' /%3E%3C/svg%3E") 17 round;        
    }
    
    .timeline__gauche .elementor-heading-title::after,
    .timeline__droite .elementor-heading-title::before {    
        top: 2.2rem;
        left: -3rem;
        width: 2rem;
        height: 2rem;
    }
    
    .timeline__gauche .elementor-heading-title::after {
        right: auto;
    }
    

}


.animated .elementor-button .elementor-button-icon,
.animated .elementor-cta__button {
    overflow:clip;
}

.animated .elementor-button:hover .elementor-button-icon svg,
.animated .elementor-cta__button:hover svg {
    animation: deplace_fleche 1.5s infinite linear;
}

@keyframes deplace_fleche {
    0%, 100%{
        transform: translateX(0);
    }
    
    50% {
        transform: translateX(30px);
    }
    50.1% {
        transform: translateX(-30px);
    }
    
}



@media (max-width: 767px) {
    h1 span {
        font-size: 3.8rem;
    }
    
    h2 span {
        font-size: 3rem;
    }
}